<?php
  /**
   * topics のコレクションクラス
   * @date 2007/11/30
   * @author Daijiro Abe
   */
require_once(dirname(__FILE__) . "/../CommonDAO.php");
require_once(dirname(__FILE__) . "/TopicsCollection.php");

class TopicsDAO extends CommonDAO
{
	function &findByPrimaryKey($id)
	{
		return $this->queryOne("select * from topics where id = ?", array($id));
	}
	
	function &findAll()
	{
		return $this->query("select * from topics");
	}
	
	function insert($topics)
	{
		return $this->doInsert("topics", $topics->get());
	}
	
	function update($topics)
	{
		$id = $this->qstr($topics->getId());

		return $this->doUpdate("topics", $topics->get(), "id = $id");
	}
	
	function &createCollection($recordSet)
	{
		$collection = new TopicsCollection($recordSet);
		return $collection;
	}
}
